gcstring.c File Reference

## Functions

gcstring_t * | gcstring_new (unistr_t *unistr, linebreak_t *lbobj)
gcstring_t * | gcstring_newcopy (unistr_t *str, linebreak_t *lbobj)
gcstring_t * | gcstring_new_from_utf8 (char *str, size_t len, int check, linebreak_t *lbobj)
void | gcstring_destroy (gcstring_t *gcstr)
gcstring_t * | gcstring_copy (gcstring_t *gcstr)
gcstring_t * | gcstring_append (gcstring_t *gcstr, gcstring_t *appe)
int | gcstring_cmp (gcstring_t *a, gcstring_t *b)
size_t | gcstring_columns (gcstring_t *gcstr)
gcstring_t * | gcstring_concat (gcstring_t *gcstr, gcstring_t *appe)
gcchar_t * | gcstring_next (gcstring_t *gcstr)
void | gcstring_setpos (gcstring_t *gcstr, int pos)
void | gcstring_shrink (gcstring_t *gcstr, int length)
gcstring_t * | gcstring_substr (gcstring_t *gcstr, int offset, int length)
gcstring_t * | gcstring_replace (gcstring_t *gcstr, int offset, int length, gcstring_t *replacement)
propval_t | gcstring_lbclass (gcstring_t *gcstr, int pos)
propval_t | gcstring_lbclass_ext (gcstring_t *gcstr, int pos)